(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4591,        142]
NotebookOptionsPosition[      3728,        109]
NotebookOutlinePosition[      4065,        124]
CellTagsIndexPosition[      4022,        121]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"FactorPolyList", "[", "l_", "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"list", "=", 
      RowBox[{"{", "}"}]}], "}"}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"list", " ", "=", " ", 
        RowBox[{"{", 
         RowBox[{"list", ",", " ", 
          RowBox[{"Factor", "[", 
           RowBox[{"Expand", "[", 
            RowBox[{"Part", "[", 
             RowBox[{"l", ",", "i"}], "]"}], "]"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "l", "]"}]}], "}"}]}], " ", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Flatten", "[", "list", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<SCSCP`\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OpenMath Contect Dictionary Arith1 is loaded.\"\>"], "Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919175105*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Integer1 is loaded.\"\>"], \
"Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919181692*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Transc1 is loaded.\"\>"], \
"Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919188096*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Logic1 is loaded.\"\>"], "Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919194395*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary List1 is loaded.\"\>"], "Print",
 CellChangeTimes->{3.512452742833708*^9, 3.51245691920075*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Minmax1 is loaded.\"\>"], \
"Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919207208*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Nums1 is loaded.\"\>"], "Print",
 CellChangeTimes->{3.512452742833708*^9, 3.51245691921356*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Relation1 is loaded.\"\>"], \
"Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919220122*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Set1 is loaded.\"\>"], "Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919227529*^9}],

Cell[BoxData["\<\"OpenMath Contect Dictionary Setname1 is loaded.\"\>"], \
"Print",
 CellChangeTimes->{3.512452742833708*^9, 3.512456919234528*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SCSCPInit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.511509083113103*^9, 3.511509083910563*^9}, 
   3.512452564844687*^9, {3.512452746669144*^9, 3.512452759068645*^9}, {
   3.512456913960883*^9, 3.512456915868714*^9}}],

Cell[BoxData["\<\"Classpath: ./SCSCP4Mathematica.jar\"\>"], "Print",
 CellChangeTimes->{3.511509084957118*^9, 3.511523705743795*^9, 
  3.511588770202765*^9, 3.512452764370341*^9, 3.51245692276525*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"StartSCSCPServer", "[", 
  RowBox[{"26133", ",", " ", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.511509090967042*^9, 3.511509099825992*^9}, {
  3.511583011257226*^9, 3.511583011400093*^9}, {3.511586009188496*^9, 
  3.511586014017843*^9}}]
},
WindowSize->{640, 750},
WindowMargins->{{48, Automatic}, {Automatic, 64}},
FrontEndVersion->"7.0 for Linux x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 811, 23, 99, "Input"],
Cell[CellGroupData[{
Cell[1381, 47, 71, 1, 32, "Input"],
Cell[CellGroupData[{
Cell[1477, 52, 143, 1, 24, "Print"],
Cell[1623, 55, 147, 2, 24, "Print"],
Cell[1773, 59, 146, 2, 24, "Print"],
Cell[1922, 63, 143, 1, 24, "Print"],
Cell[2068, 66, 141, 1, 24, "Print"],
Cell[2212, 69, 146, 2, 24, "Print"],
Cell[2361, 73, 141, 1, 24, "Print"],
Cell[2505, 76, 148, 2, 24, "Print"],
Cell[2656, 80, 141, 1, 24, "Print"],
Cell[2800, 83, 147, 2, 24, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2996, 91, 245, 4, 32, "Input"],
Cell[3244, 97, 200, 2, 24, "Print"]
}, Open  ]],
Cell[3459, 102, 265, 5, 32, "Input"]
}
]
*)

(* End of internal cache information *)
